MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003982ardourfeaturespublic2011-04-17 05:362011-07-11 06:53
Reporterbarbarbaron 
Assigned To 
PrioritynormalSeveritytweakReproducibilityN/A
StatusfeedbackResolutionopen 
PlatformOSOS Version
Product Version3.0-alpha4 
Target Version3.XFixed in Version 
Summary0003982: Drag and drop midi track expansion is cumbersome to use
DescriptionI think it should be better to set a fixed editing size to a midi track (from preferences) and put two buttons to shrink and expand the track vertically. While drag and drop is meaningful for audio tracks, its not meaningful for midi because its better for a user to get used to a fixed size workflow. Also shrinking the size while playing a midi track slows ardour's UI and can affect performance negatively.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0010571)
cth103 (administrator)
2011-04-17 06:12

When you say "drag and drop" do you mean dragging the track's height?
(0010572)
barbarbaron (reporter)
2011-04-17 06:45
edited on: 2011-04-17 06:46

Yes, I should say track height. Also two buttons are not necessary one interchanging button is enough.

(0011068)
paul (administrator)
2011-07-11 06:53

1) the track resize handle has been removed
2) drag-n-drop resizing is still possible
3) there are 5 preset track heights available from the track context menu. if you prefer fixed sizes, use these. it takes 3 clicks to pick one.
4) there are keybindings to increase and decrease the height of selected tracks
5) i don't see the workflow issue of allowing tracks to be different sizes
6) yes, track resizing is relatively CPU intensive, so choosing to do it during playback is probably a mistake. but the operative word, surely, is "choosing" ?

in short, i don't really see any action to be taken on this bug.

- Issue History
Date Modified Username Field Change
2011-04-17 05:36 barbarbaron New Issue
2011-04-17 06:12 cth103 Note Added: 0010571
2011-04-17 06:12 cth103 Status new => feedback
2011-04-17 06:45 barbarbaron Note Added: 0010572
2011-04-17 06:46 barbarbaron Note Edited: 0010572
2011-04-17 16:28 cth103 cost => 0.00
2011-04-17 16:28 cth103 Target Version => 3.0-beta1
2011-07-10 16:59 cth103 Target Version 3.0-beta1 => 3.X
2011-07-11 06:53 paul Note Added: 0011068


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker